For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList business batches
        • POSTCreate a business batch
        • GETRetrieve a business batch
        • GETDownload business batch CSV
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationBusiness Batches

Retrieve a business batch

GET
https://api.middesk.com/v1/business_batches/:id
GET
/v1/business_batches/:id
$curl https://api.middesk.com/v1/business_batches/id \
> -H "Authorization: Bearer <token>"
1{
2 "object": "business_batch",
3 "id": "e1f2a3b4-c5d6-7890-4567-89abcdef0123",
4 "name": "Q1-2025-Verification-Batch",
5 "filename": "businesses.csv",
6 "business_count": 1,
7 "completed_business_count": 0,
8 "created_at": "2025-01-07T12:00:00Z",
9 "account": {
10 "id": "f2a3b4c5-d6e7-8901-5678-9abcdef01234",
11 "name": "Example Account",
12 "slug": "example-account",
13 "pilot": false
14 }
15}
Was this page helpful?
Previous

Download business batch CSV

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Business Batch ID

Response

business batch found
objectstring
idstringformat: "uuid"
namestring
filenamestring
business_countinteger>=0
completed_business_countinteger
created_atdatetime
accountobject

Errors

404
Get Business Batch Request Not Found Error